{
    "_from": "sententree",
    "_id": "sententree@1.0.0",
    "_inBundle": false,
    "_integrity": "sha1-xIKf0Tmu5dgroRPaDRqjtR2vWas=",
    "_location": "/sententree",
    "_phantomChildren": {},
    "_requested": {
        "type": "tag",
        "registry": true,
        "raw": "sententree",
        "name": "sententree",
        "escapedName": "sententree",
        "rawSpec": "",
        "saveSpec": null,
        "fetchSpec": "latest"
    },
    "_requiredBy": [
        "#USER",
        "/"
    ],
    "_resolved": "https://registry.npmjs.org/sententree/-/sententree-1.0.0.tgz",
    "_shasum": "c4829fd139aee5d82ba113da0d1aa3b51daf59ab",
    "_spec": "sententree",
    "_where": "C:\\Users\\a5640\\OneDrive - National ChengChi University\\programming\\Python\\flask\\sententree\\static",
    "author": "",
    "bugs": {
        "url": "https://github.com/twitter/sententree/issues"
    },
    "bundleDependencies": false,
    "dependencies": {
        "d3": "^4.4.1",
        "d3kit": "^3.2.0",
        "heap": "^0.2.6",
        "lodash": "^4.17.4",
        "webcola": "^3.3.0"
    },
    "deprecated": false,
    "description": "A novel text visualization technique",
    "devDependencies": {
        "babel-core": "^6.22.1",
        "babel-eslint": "^6.1.2",
        "babel-loader": "^6.2.10",
        "babel-plugin-external-helpers": "^6.8.0",
        "babel-plugin-istanbul": "^2.0.1",
        "babel-plugin-transform-object-assign": "^6.22.0",
        "babel-preset-es2015": "^6.3.13",
        "babel-preset-react": "^6.22.0",
        "browser-sync": "~2.14.0",
        "chai": "^3.5.0",
        "eslint": "^2.9.0",
        "eslint-config-airbnb": "^9.0.1",
        "eslint-plugin-import": "^1.12.0",
        "eslint-plugin-jsx-a11y": "^1.2.0",
        "eslint-plugin-mocha": "^4.7.0",
        "eslint-plugin-react": "^5.0.1",
        "gh-pages": "^0.11.0",
        "gulp": "^3.9.1",
        "gulp-sass": "^3.1.0",
        "karma": "~0.13.15",
        "karma-chai": "^0.1.0",
        "karma-coverage": "~0.5.3",
        "karma-mocha": "^1.1.1",
        "karma-mocha-reporter": "^2.1.0",
        "karma-phantomjs-launcher": "^1.0.1",
        "karma-webpack": "^2.0.2",
        "mocha": "^3.0.2",
        "node-sass": "^4.5.0",
        "pkgfiles": "^2.3.0",
        "react": "^15.4.2",
        "react-d3kit": "^1.2.4",
        "react-dom": "^15.4.2",
        "uglifyjs": "^2.4.10",
        "webpack": "^2.2.1"
    },
    "files": [
        "src/**/*.*",
        "dist/*.*"
    ],
    "homepage": "https://github.com/twitter/sententree#readme",
    "keywords": [
        "sententree",
        "visualization"
    ],
    "license": "Apache-2.0",
    "main": "dist/SentenTree.js",
    "name": "sententree",
    "repository": {
        "type": "git",
        "url": "git+https://github.com/twitter/sententree.git"
    },
    "scripts": {
        "build": "npm run build-lib && npm run build-standalone",
        "build-demo": "NODE_ENV=production webpack --config webpack.config.demo.js && gulp sass",
        "build-lib": "NODE_ENV=production webpack && uglifyjs dist/sententree.js -m -c > dist/sententree.min.js",
        "build-standalone": "NODE_ENV=production webpack --config webpack.config.standalone.js && uglifyjs dist/sententree-standalone.js -m -c > dist/sententree-standalone.min.js",
        "clean": "rm -rf dist",
        "eslint": "eslint --ignore-path .gitignore \"src/**/*.@(js|jsx)\"",
        "eslint-fix": "eslint --fix --ignore-path .gitignore \"src/**/*.@(js|jsx)\"",
        "gh-pages": "npm run build-demo && gh-pages -d demo",
        "postversion": "git push ; git push --tags; pkgfiles",
        "prepublish": "pkgfiles",
        "server": "gulp server",
        "start": "webpack --watch --config webpack.config.demo.js & npm run server",
        "tdd": "NODE_ENV=test karma start",
        "test": "NODE_ENV=test karma start --single-run",
        "version": "npm run build && git add -A dist"
    },
    "version": "1.0.0"
}